Description

 Identity class proposed description: “This is a root class to provide common identification for all classes.”
 Identity.identifier proposed description: “A universally unique object identifier. Used to uniquely identify persistent objects
between CIM messages.”

» UUID class proposed description: “A UUID as defined by IEC/ISO 9348-8”

+ IdentifiedObject must be updated as its description currently states it is a “root class”. This is no longer the case. Proposed
update is: “This is a class that provides common identification for all classes needing identification and naming attributes.”

Proposed Solution
The ticket is opened to document the agreements on the topic

Decision

On 5 June TF13 agreed on the following

+ Identity class proposed description: “This is a root class to provide common identification for all classes.”

+ Identity.identifier proposed description: “A universally unique object identifier. Used to uniquely identify persistent objects
between CIM messages.”

» UUID class proposed description: “A UUID as defined by IEC/ISO 9348-8”

+ IdentifiedObject must be updated as its description currently states it is a “root class”. This is no longer the case. Proposed
update is: “This is a class that provides common identification for all classes needing identification and naming attributes.”

Release Notes

The following changes are applied:

new class ldentity class with description: “This is a root class to provide common identification for all classes.”

attribute Identity.identifier with description: “A universally unique object identifier. Used to uniquely identify persistent objects
between CIM messages.”

UUID class with description: “A UUID as defined by IEC/ISO 9348-8”

IdentifiedObject must be updated as its description currently states it is a “root class”. This is no longer the case. The new
description is: “This is a class that provides common identification for all classes needing identification and naming attributes.”
IdentifiedObject inherits from Identity

History

#1 - 06/05/2024 02:48 PM - Chavdar Ilvanov

- Status changed from New to Open

#2 - 06/05/2024 02:48 PM - Chavdar Ilvanov

04/19/2025 12




- Status changed from Open to In Progress

#3 - 06/05/2024 02:48 PM - Chavdar Ilvanov

- Status changed from In Progress to Closed
